Registration
GET
event_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriaccount*fields*array<>|nullformVersion*integerFormat
int64missingAccountFields*array<string>|nullcurl -X GET 'https://example.com/api/v1/events/string/checkout-requirements'Example Response
{ "$schema": "https://example.com/schemas/Requirements.json", "account": { "dateOfBirth": "string", "displayName": "string", "email": "string", "gender": "string", "phone": "string" }, "fields": [ { "caption": "string", "eventId": "string", "fieldType": "string", "id": "string", "key": "string", "label": "string", "max": 0, "min": 0, "options": [ "string" ], "position": 0, "required": true, "scope": "string", "timing": "string" } ], "formVersion": 0, "missingAccountFields": [ "string" ]}GET
organization_id*stringevent_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriconfig*curl -X GET 'https://example.com/api/v1/organizations/string/events/string/registration-config'Example Response
{ "$schema": "https://example.com/schemas/ConfigOutputBody.json", "config": { "eventId": "string", "fields": [ { "caption": "string", "eventId": "string", "fieldType": "string", "id": "string", "key": "string", "label": "string", "max": 0, "min": 0, "options": [ "string" ], "position": 0, "required": true, "scope": "string", "timing": "string" } ], "formVersion": 0, "organizationId": "string", "requiredAccountFields": [ "string" ] }}PUT
organization_id*stringevent_id*stringapplication/json- body
fields?array<>|nullrequiredAccountFields?array<string>|nullOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriconfig*curl -X PUT 'https://example.com/api/v1/organizations/string/events/string/registration-config' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "$schema": "https://example.com/schemas/ConfigOutputBody.json", "config": { "eventId": "string", "fields": [ { "caption": "string", "eventId": "string", "fieldType": "string", "id": "string", "key": "string", "label": "string", "max": 0, "min": 0, "options": [ "string" ], "position": 0, "required": true, "scope": "string", "timing": "string" } ], "formVersion": 0, "organizationId": "string", "requiredAccountFields": [ "string" ] }}